package com.ejie.ad74a.model;

/**
 * 
 */

import java.util.Date;

/**
 * @author UDA
 *
 */
public class BeneficiarioWS extends Solicitantes {

	private static final long serialVersionUID = 1L;

	/** The id beneficiario. */
	// private String idBeneficiario; //se coge idSolicitante01

	/** The alta teleasistencia. */
	// private Date fAltaTeleasist; //se coge fInicio01

	/** The baja teleasistencia. */
	// private Date fBajaTeleasist; //se coge fBaja01

	/** The id motivo baja. */
	// private Integer idMotivoBaja; //se coge dMotivoBaja01

	/** The id exentoPago. */
	private String exentoPago;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmMovilidad = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmMovilidad;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectCaida = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectCaida;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectCo = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectCo;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectConvul = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectConvul;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectNeuresis = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectNeuresis;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectFuego = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectFuego;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectGas = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectGas;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmDetectCama = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmDetectCama;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmFalloCall = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmFalloCall;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmNoResp = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmNoResp;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaEmergSanit = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaEmergSocial = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaProblSocial = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaProblSalud = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaEmergOtras = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaEmergDetect = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaProblTecnico = 0;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaCharlaSoledad = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaCharlaSoledad;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaSeguimCuidador = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaSeguimCuidador;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaSeguimEjCognit = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaSeguimEjCognit;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmAgenda1 = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmAgenda1;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmAgenda2 = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmAgenda2;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmAgenda3 = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmAgenda3;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmAgenda4 = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmAgenda4;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmCita = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmCita;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmSeguim = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmSeguim;

	/** The cuentaAlarmMovilidad. */
	private Integer cuentaAlarmAgreval = 0;

	/** The cuentaAlarmMovilidad. */
	private Date ultimaAlarmAgreval;

	public String getExentoPago() {
		return exentoPago;
	}

	public void setExentoPago(String exentoPago) {
		this.exentoPago = exentoPago;
	}

	public Integer getCuentaAlarmMovilidad() {
		return cuentaAlarmMovilidad;
	}

	public void setCuentaAlarmMovilidad(Integer cuentaAlarmMovilidad) {
		this.cuentaAlarmMovilidad = cuentaAlarmMovilidad;
	}

	public Date getUltimaAlarmMovilidad() {
		return ultimaAlarmMovilidad;
	}

	public void setUltimaAlarmMovilidad(Date ultimaAlarmMovilidad) {
		this.ultimaAlarmMovilidad = ultimaAlarmMovilidad;
	}

	public Integer getCuentaAlarmDetectCaida() {
		return cuentaAlarmDetectCaida;
	}

	public void setCuentaAlarmDetectCaida(Integer cuentaAlarmDetectCaida) {
		this.cuentaAlarmDetectCaida = cuentaAlarmDetectCaida;
	}

	public Date getUltimaAlarmDetectCaida() {
		return ultimaAlarmDetectCaida;
	}

	public void setUltimaAlarmDetectCaida(Date ultimaAlarmDetectCaida) {
		this.ultimaAlarmDetectCaida = ultimaAlarmDetectCaida;
	}

	public Integer getCuentaAlarmDetectCo() {
		return cuentaAlarmDetectCo;
	}

	public void setCuentaAlarmDetectCo(Integer cuentaAlarmDetectCo) {
		this.cuentaAlarmDetectCo = cuentaAlarmDetectCo;
	}

	public Date getUltimaAlarmDetectCo() {
		return ultimaAlarmDetectCo;
	}

	public void setUltimaAlarmDetectCo(Date ultimaAlarmDetectCo) {
		this.ultimaAlarmDetectCo = ultimaAlarmDetectCo;
	}

	public Integer getCuentaAlarmDetectConvul() {
		return cuentaAlarmDetectConvul;
	}

	public void setCuentaAlarmDetectConvul(Integer cuentaAlarmDetectConvul) {
		this.cuentaAlarmDetectConvul = cuentaAlarmDetectConvul;
	}

	public Date getUltimaAlarmDetectConvul() {
		return ultimaAlarmDetectConvul;
	}

	public void setUltimaAlarmDetectConvul(Date ultimaAlarmDetectConvul) {
		this.ultimaAlarmDetectConvul = ultimaAlarmDetectConvul;
	}

	public Integer getCuentaAlarmDetectNeuresis() {
		return cuentaAlarmDetectNeuresis;
	}

	public void setCuentaAlarmDetectNeuresis(Integer cuentaAlarmDetectNeuresis) {
		this.cuentaAlarmDetectNeuresis = cuentaAlarmDetectNeuresis;
	}

	public Date getUltimaAlarmDetectNeuresis() {
		return ultimaAlarmDetectNeuresis;
	}

	public void setUltimaAlarmDetectNeuresis(Date ultimaAlarmDetectNeuresis) {
		this.ultimaAlarmDetectNeuresis = ultimaAlarmDetectNeuresis;
	}

	public Integer getCuentaAlarmDetectFuego() {
		return cuentaAlarmDetectFuego;
	}

	public void setCuentaAlarmDetectFuego(Integer cuentaAlarmDetectFuego) {
		this.cuentaAlarmDetectFuego = cuentaAlarmDetectFuego;
	}

	public Date getUltimaAlarmDetectFuego() {
		return ultimaAlarmDetectFuego;
	}

	public void setUltimaAlarmDetectFuego(Date ultimaAlarmDetectFuego) {
		this.ultimaAlarmDetectFuego = ultimaAlarmDetectFuego;
	}

	public Integer getCuentaAlarmDetectGas() {
		return cuentaAlarmDetectGas;
	}

	public void setCuentaAlarmDetectGas(Integer cuentaAlarmDetectGas) {
		this.cuentaAlarmDetectGas = cuentaAlarmDetectGas;
	}

	public Date getUltimaAlarmDetectGas() {
		return ultimaAlarmDetectGas;
	}

	public void setUltimaAlarmDetectGas(Date ultimaAlarmDetectGas) {
		this.ultimaAlarmDetectGas = ultimaAlarmDetectGas;
	}

	public Integer getCuentaAlarmDetectCama() {
		return cuentaAlarmDetectCama;
	}

	public void setCuentaAlarmDetectCama(Integer cuentaAlarmDetectCama) {
		this.cuentaAlarmDetectCama = cuentaAlarmDetectCama;
	}

	public Date getUltimaAlarmDetectCama() {
		return ultimaAlarmDetectCama;
	}

	public void setUltimaAlarmDetectCama(Date ultimaAlarmDetectCama) {
		this.ultimaAlarmDetectCama = ultimaAlarmDetectCama;
	}

	public Integer getCuentaAlarmFalloCall() {
		return cuentaAlarmFalloCall;
	}

	public void setCuentaAlarmFalloCall(Integer cuentaAlarmFalloCall) {
		this.cuentaAlarmFalloCall = cuentaAlarmFalloCall;
	}

	public Date getUltimaAlarmFalloCall() {
		return ultimaAlarmFalloCall;
	}

	public void setUltimaAlarmFalloCall(Date ultimaAlarmFalloCall) {
		this.ultimaAlarmFalloCall = ultimaAlarmFalloCall;
	}

	public Integer getCuentaAlarmNoResp() {
		return cuentaAlarmNoResp;
	}

	public void setCuentaAlarmNoResp(Integer cuentaAlarmNoResp) {
		this.cuentaAlarmNoResp = cuentaAlarmNoResp;
	}

	public Date getUltimaAlarmNoResp() {
		return ultimaAlarmNoResp;
	}

	public void setUltimaAlarmNoResp(Date ultimaAlarmNoResp) {
		this.ultimaAlarmNoResp = ultimaAlarmNoResp;
	}

	public Integer getCuentaEmergSanit() {
		return cuentaEmergSanit;
	}

	public void setCuentaEmergSanit(Integer cuentaEmergSanit) {
		this.cuentaEmergSanit = cuentaEmergSanit;
	}

	public Integer getCuentaEmergSocial() {
		return cuentaEmergSocial;
	}

	public void setCuentaEmergSocial(Integer cuentaEmergSocial) {
		this.cuentaEmergSocial = cuentaEmergSocial;
	}

	public Integer getCuentaProblSocial() {
		return cuentaProblSocial;
	}

	public void setCuentaProblSocial(Integer cuentaProblSocial) {
		this.cuentaProblSocial = cuentaProblSocial;
	}

	public Integer getCuentaProblSalud() {
		return cuentaProblSalud;
	}

	public void setCuentaProblSalud(Integer cuentaProblSalud) {
		this.cuentaProblSalud = cuentaProblSalud;
	}

	public Integer getCuentaEmergOtras() {
		return cuentaEmergOtras;
	}

	public void setCuentaEmergOtras(Integer cuentaEmergOtras) {
		this.cuentaEmergOtras = cuentaEmergOtras;
	}

	public Integer getCuentaEmergDetect() {
		return cuentaEmergDetect;
	}

	public void setCuentaEmergDetect(Integer cuentaEmergDetect) {
		this.cuentaEmergDetect = cuentaEmergDetect;
	}

	public Integer getCuentaProblTecnico() {
		return cuentaProblTecnico;
	}

	public void setCuentaProblTecnico(Integer cuentaProblTecnico) {
		this.cuentaProblTecnico = cuentaProblTecnico;
	}

	public Integer getCuentaCharlaSoledad() {
		return cuentaCharlaSoledad;
	}

	public void setCuentaCharlaSoledad(Integer cuentaCharlaSoledad) {
		this.cuentaCharlaSoledad = cuentaCharlaSoledad;
	}

	public Date getUltimaCharlaSoledad() {
		return ultimaCharlaSoledad;
	}

	public void setUltimaCharlaSoledad(Date ultimaCharlaSoledad) {
		this.ultimaCharlaSoledad = ultimaCharlaSoledad;
	}

	public Integer getCuentaSeguimCuidador() {
		return cuentaSeguimCuidador;
	}

	public void setCuentaSeguimCuidador(Integer cuentaSeguimCuidador) {
		this.cuentaSeguimCuidador = cuentaSeguimCuidador;
	}

	public Date getUltimaSeguimCuidador() {
		return ultimaSeguimCuidador;
	}

	public void setUltimaSeguimCuidador(Date ultimaSeguimCuidador) {
		this.ultimaSeguimCuidador = ultimaSeguimCuidador;
	}

	public Integer getCuentaSeguimEjCognit() {
		return cuentaSeguimEjCognit;
	}

	public void setCuentaSeguimEjCognit(Integer cuentaSeguimEjCognit) {
		this.cuentaSeguimEjCognit = cuentaSeguimEjCognit;
	}

	public Date getUltimaSeguimEjCognit() {
		return ultimaSeguimEjCognit;
	}

	public void setUltimaSeguimEjCognit(Date ultimaSeguimEjCognit) {
		this.ultimaSeguimEjCognit = ultimaSeguimEjCognit;
	}

	public Integer getCuentaAlarmAgenda1() {
		return cuentaAlarmAgenda1;
	}

	public void setCuentaAlarmAgenda1(Integer cuentaAlarmAgenda1) {
		this.cuentaAlarmAgenda1 = cuentaAlarmAgenda1;
	}

	public Date getUltimaAlarmAgenda1() {
		return ultimaAlarmAgenda1;
	}

	public void setUltimaAlarmAgenda1(Date ultimaAlarmAgenda1) {
		this.ultimaAlarmAgenda1 = ultimaAlarmAgenda1;
	}

	public Integer getCuentaAlarmAgenda2() {
		return cuentaAlarmAgenda2;
	}

	public void setCuentaAlarmAgenda2(Integer cuentaAlarmAgenda2) {
		this.cuentaAlarmAgenda2 = cuentaAlarmAgenda2;
	}

	public Date getUltimaAlarmAgenda2() {
		return ultimaAlarmAgenda2;
	}

	public void setUltimaAlarmAgenda2(Date ultimaAlarmAgenda2) {
		this.ultimaAlarmAgenda2 = ultimaAlarmAgenda2;
	}

	public Integer getCuentaAlarmAgenda3() {
		return cuentaAlarmAgenda3;
	}

	public void setCuentaAlarmAgenda3(Integer cuentaAlarmAgenda3) {
		this.cuentaAlarmAgenda3 = cuentaAlarmAgenda3;
	}

	public Date getUltimaAlarmAgenda3() {
		return ultimaAlarmAgenda3;
	}

	public void setUltimaAlarmAgenda3(Date ultimaAlarmAgenda3) {
		this.ultimaAlarmAgenda3 = ultimaAlarmAgenda3;
	}

	public Integer getCuentaAlarmAgenda4() {
		return cuentaAlarmAgenda4;
	}

	public void setCuentaAlarmAgenda4(Integer cuentaAlarmAgenda4) {
		this.cuentaAlarmAgenda4 = cuentaAlarmAgenda4;
	}

	public Date getUltimaAlarmAgenda4() {
		return ultimaAlarmAgenda4;
	}

	public void setUltimaAlarmAgenda4(Date ultimaAlarmAgenda4) {
		this.ultimaAlarmAgenda4 = ultimaAlarmAgenda4;
	}

	public Integer getCuentaAlarmCita() {
		return cuentaAlarmCita;
	}

	public void setCuentaAlarmCita(Integer cuentaAlarmCita) {
		this.cuentaAlarmCita = cuentaAlarmCita;
	}

	public Date getUltimaAlarmCita() {
		return ultimaAlarmCita;
	}

	public void setUltimaAlarmCita(Date ultimaAlarmCita) {
		this.ultimaAlarmCita = ultimaAlarmCita;
	}

	public Integer getCuentaAlarmSeguim() {
		return cuentaAlarmSeguim;
	}

	public void setCuentaAlarmSeguim(Integer cuentaAlarmSeguim) {
		this.cuentaAlarmSeguim = cuentaAlarmSeguim;
	}

	public Date getUltimaAlarmSeguim() {
		return ultimaAlarmSeguim;
	}

	public void setUltimaAlarmSeguim(Date ultimaAlarmSeguim) {
		this.ultimaAlarmSeguim = ultimaAlarmSeguim;
	}

	public Integer getCuentaAlarmAgreval() {
		return cuentaAlarmAgreval;
	}

	public void setCuentaAlarmAgreval(Integer cuentaAlarmAgreval) {
		this.cuentaAlarmAgreval = cuentaAlarmAgreval;
	}

	public Date getUltimaAlarmAgreval() {
		return ultimaAlarmAgreval;
	}

	public void setUltimaAlarmAgreval(Date ultimaAlarmAgreval) {
		this.ultimaAlarmAgreval = ultimaAlarmAgreval;
	}
}
